This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 138690 - missing return statement
missing return statement
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: beecrypt (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 13:51 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 18:25:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-11-10 13:51:36 EST
Description of problem:

I just tried to compile package beecrypt-3.1.0-6 from 
Redhat Fedora Core 3.

The compiler said

mpprime.c(963): warning #1011: missing return statement at end of
non-void function "mpprndr_w"

The source code is

                }
        }
}

Suggest add return statement at the end of the routine.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Johnson 2004-11-11 18:25:31 EST
Fixed in beecrypt-4.0.0-1.

Note You need to log in before you can comment on or make changes to this bug.